PSW_RGB_LINE(3)

FUNCTION
psw_rgb_line - Write a colour line to a PostScriptPage object.

SYNOPSIS
#include <karma_psw.h>

flag psw_rgb_line

(PostScriptPage pspage, double red, double green,double blue, double xstart, double ystart, double xend, double yend)

DESCRIPTION
Write a colour line to a PostScriptPage object.

pspage
    The PostScriptPage object.

red The red component value. The range is: 0.0 (dark) to 1.0 (light)

green
    The green component value. The range is: 0.0 (dark) to 1.0 (light)

blue
    The blue component value. The range is: 0.0 (dark) to 1.0 (light)

xstart
    The x starting point (scaled from 0.0 to 1.0).

ystart
    The y starting point (scaled from 0.0 to 1.0).

xend
    The x ending point (scaled from 0.0 to 1.0).

yend
    The y ending point (scaled from 0.0 to 1.0).

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/